Name:           constant-pool-scanner
Version:        1.2
Release:        %mkrel 9
Summary:        Java constant pool scanner

Group:          Development/Java
License:        CDDL or GPLv2 with exceptions
URL:            https://github.com/jenkinsci/constant-pool-scanner
Source0:        https://github.com/jenkinsci/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://svn.java.net/svn/glassfish~svn/tags/legal-1.1/src/main/resources/META-INF/LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-io)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:      noarch

%description
Simple utility to scan Java bytecode for class references in the constant pool.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} .

# remove build-time dependency on findbugs-annotations
%pom_remove_dep com.github.stephenc.findbugs:findbugs-annotations
sed -i '/SuppressWarnings/d' src/test/java/org/jenkinsci/constant_pool_scanner/samples/D.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.2-9.mga8
+ Revision: 1489857
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2-8.mga7
+ Revision: 1261428
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1.2-7.mga6
+ Revision: 982265
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.2-6.mga6
+ Revision: 980908
- First rebuild of the java stack
- sync package constant-pool-scanner with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 1.2-5.mga5
+ Revision: 807153
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 1.2-4.mga5
+ Revision: 740250
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat May 10 2014 dmorgan <dmorgan> 1.2-2.mga5
+ Revision: 621725
- imported package constant-pool-scanner


* Thu Jan  2 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2-2
- Update findbugs dependency coordinates

* Mon Sep 02 2013 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial packaging

